ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Geoffrey Mitchell <...@imail.kwcorp.com>
Subject Re: *****spam***** Re: Example Ant 1.6 build files for project with multiple WAR and JAR modules?
Date Fri, 04 Nov 2005 21:19:39 GMT

> XDoclet 1.2.x doesnt work on java1.5???
>
> I had no idea - I had to stick with java1.4 on my last project. 
> Ignorance is bliss, as they say...
>
> You got me scurrying to Google, though, and there would now appear to 
> be an XJavaDoc snapshot release which lets you use XDoclet 1.2.x with 
> Java 1.5., although it wasn't immediately apparent whether this just 
> meant that XDoclet would crash if your non-annotated code uses Java 
> 1.5 features, or whether you could actually annotate Java1.5 
> constructs like fields using generics.
>
>
xjavadoc 1.5-snapshot050611 (and presumably later) supports 1.5 syntax 
in-so-far as it will no longer consider it a syntax error.  Ejbdoclet 
will still not recognize that you have defined an interface to use 
generics.  If you have a method in your EJB class that returns 
List<Foo>, ejbdoclet will generate a remote interface which returns List. 

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message